PPI::Token::Number::Version(3)

NAME
PPI::Token::Number::Version - Token class for a byte-packed number

SYNOPSIS
  $n = 1.1.0;
  $n = 127.0.0.1;
  $n = 10_000.10_000.10_000;
  $n = v1.2.3.4

INHERITANCE
  PPI::Token::Number::Version
  isa PPI::Token::Number
      isa PPI::Token
          isa PPI::Element

DESCRIPTION
The "PPI::Token::Number::Version" class is used for tokens that have multiple decimal points. In truth, these aren't treated like numbers at all by Perl, but they look like numbers to a parser.

METHODS

  base
Returns the base for the number: 256.

  literal
Return the numeric value of this token.

BUGS
- Does not handle leading minus sign correctly. Should translate to a DashedWord. See <http://perlmonks.org/?node_id=574573>

  -95.0.1.0  --> "-_\000\cA\000"
  -96.0.1.0  --> Argument "`\0^A\0" isn't numeric in negation (-)

SUPPORT
See the support section in the main module.

AUTHOR
Chris Dolan <cdolan@cpan.org>

COPYRIGHT
Copyright 2006 Chris Dolan.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

The full text of the license can be found in the LICENSE file included with this module.